# Combat Extended
Combat Extended completely overhauls combat. It adds completely new shooting and melee mechanics, an inventory system and rebalances the health system. **Requires a new save.**

# Development Version
**Do not download this repository if you aren't going to build it yourself!**
It is automatically updated a few minutes after each PR is merged.  
If you want the latest development snapshot, without building it yourself:  **https://combatextended.lp-programming.com/CombatExtended-latest.zip**

# Features
## Shooting
**Projectile rebalance:**
- Vanilla percentage based shooting system is completely gone. Instead, CE uses a ballistic model where bullets fly along a trajectory and intersect hitboxes.
- Range and damage has been completely rebalanced. No more raiders shrugging off dozens of bullets or sniping with pistols.
- Guns will dominate in their assigned role and range bracket. Rifles excel at medium-long range engagements, MG's are good at area suppression and shotguns and SMG's are lethal in close quarters.
- Bullets track their height as part of their trajectory. When hitting a pawn this will affect where the bullet hits, i.e. someone crouching behind sandbags can only be shot in the head, so make sure you wear your protective helmet.

**New mechanics:**
- Weapons can switch between different aim and fire modes.
- Pawns will crouch in combat when not moving, making them harder to hit.
- Projectiles create suppression on near misses. As suppression builds up, pawns will run for cover (even against orders) and have significantly decreased accuracy. If suppression reaches a critical threshold pawns will hunker down in panic and become completely unresponsive.
- Ranged weapons require ammo* and can switch between different ammo types such as armor-piercing and high-explosive rounds.

  *Toggleable in options menu
## Melee
**New melee system:**
- New melee stats: critical hit and parry chance.
- Critical hits produce different effects depending on the source of the attack: blunt weapons will stun the opponent, sharp weapons have twice as much armor penetration and animals cause knockdown.
- On a successful parry, the defender's weapon/shield will absorb the attack. Unarmed parries do half damage. A pawn can only parry a limited amount of times, depending on his melee skill and attack speed.
- Parries can roll for a critical hit to turn into a riposte. If successful the defender gets a free non-critical hit against the attacker.
- In combat, critical hit and parry chance are compared against the opponent's to determine final hit chances. Don't expect your level 1 fighter to parry a level 20.
- Different melee weapons provide bonuses to crit/parry/dodge.
- Dodge has been rebalanced.
## Armor
**Armor rebalance:**
- Vanilla percentage based armor system is gone. CE replaces it with a deflection-based model where projectiles have armor penetration which determines whether a bullet penetrates and how much it's damage is reduced. A rifle bullet will go straight through a synthread parka but will completely bounce off of legendary power armor.

**Shields:**
- New shields provide additional protection against ranged fire. Basic melee shields can be made at the smithy and will block arrows, researching machining gives access to modern ballistic shields with improved coverage and protection against gunfire.
- In melee, shields increase parry chances.
- Equipping a shield confers penalties to melee hit chance and shooting accuracy. It also prevents using two-handed weapons such as rifles, longswords and spears.
## Inventory
**Inventory system:**
- Pawns can pick up various items and carry them in their inventory for easy access.
- Carrying capacity is limited by weight and bulk. High weight negatively affects movement speed. Bulk can be increased by equipping tactical vests and backpacks but will negatively affect workspeed.
- Most apparel won't add to bulk when worn but some are very heavy and/or bulky, such as armor vests. If an apparel has a "Worn bulk" stat, it will increase bulk by that much when worn.

**Loadouts:**
- By default, colonists will only pick up ammo for their equipped weapon.
- Colonists can be assigned a loadout. Loadouts contain a list of things a colonist should automatically keep in his inventory, such as meals, ammo and sidearms.
- Colonists with a loadout will automatically clear their inventory of surplus items and pick up anything they're missing. Use them to automate picking up ammo, grenades and other consumables.
## Medical
**Body part rebalance:**
- RNG death on downed has been disabled. No more wimp visitors dying from one squirrel bite.
- Body part coverage has been overhauled. Torso shots are significantly more likely to hit a vital organ.
- Limbs are overall tougher.
- Bleed rates of internal organs are *significantly* higher. Someone shot in the heart or lung will only have a few hours before bleedout and requires immediate medical attention.
- Internal organs continue bleeding when destroyed.

**Stabilizing:**
- Pawns can use medicine to stabilize bleeding. Requires one medicine per stabilized pawn.
- Stabilize will temporarily reduce bleed rate of all wounds on a pawn and wears off over time. Stabilizing a heavily wounded colonist can buy you time, but it won't save him unless he gets proper treatment.
- Missing parts and internal injuries are harder to stabilize than external bleedings.
- Amount of reduction depends on medicine used and doctor skill. Don't expect the guy with 2 doctoring skill and herbal medicine to stop a destroyed lung from bleeding.


## Supported Third-Party Mods
CE comes with built-in support for a number of popular third-party mods, a [list of which can be found here](SupportedThirdPartyMods.md).


